Test training result

Prev Next

Available in Classic and VPC

After training a dataset, test it to verify the training results.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /services/{serviceId}/infers/lookup

Request headers

For headers common to all AiTEMS APIs, see AiTEMS request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
serviceId String Required Service ID

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
type String Required Post-training recommendation type
  • personalRecommend | relatedItem | pop
    • personalRecommend: personalized recommendations based on customer service users' past history
    • relatedItem: personalized recommendations based on an item's association history
    • pop: top item recommendations by rank
targetId String Required ID of the object to be investigated in the training result
  • Personalized recommendation: Enter USER_ID
  • Related item recommendation: Enter ITEM_ID

Request example

The following is a sample request.

curl --location --request GET 'https://aitems.apigw.ntruss.com/api/v1/services/xv94v******/infers/lookup?type=personalRecommend&targetId=*****' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
field String - Result field name
values Array - Result value list

Response status codes

For response status codes common to all AiTEMS APIs, see AiTEMS response status codes.

Response example

The following is a sample example.

{
  "field": "ITEM_ID",
  "values": [
    "abc123",
    "abc111"
  ]
}